<?php
require("../../../database/dbConection.php");

# -- BUSCAR ARQUIVOS VENCIDOS -- #
$sqlArquivos = "SELECT 
reg_tb_solicitacoes.id_statussolicitacao,
reg_tb_solicitacoes.datahora_cancelamento,
reg_tb_solicitacoes_anexos.pasta_documento,
reg_tb_solicitacoes_anexos.nomearquivo_documento,
reg_tb_solicitacoes_anexos.token_solicitacao
FROM reg_tb_solicitacoes_anexos
RIGHT OUTER JOIN reg_tb_solicitacoes ON (reg_tb_solicitacoes_anexos.id_sca_solicitacao = reg_tb_solicitacoes.id_solicitacao)
WHERE (reg_tb_solicitacoes.id_statussolicitacao=4 AND DATEDIFF(CURDATE(), reg_tb_solicitacoes.datahora_solicitoucancelamento)>=45)
OR (reg_tb_solicitacoes.id_statussolicitacao=5 AND DATEDIFF(CURDATE(), reg_tb_solicitacoes.datahora_cancelamento)>=45)
OR (reg_tb_solicitacoes.id_statussolicitacao=6 AND DATEDIFF(CURDATE(), reg_tb_solicitacoes.datahora_entrega)>=45)
OR (reg_tb_solicitacoes.id_statussolicitacao=7 AND DATEDIFF(CURDATE(), reg_tb_solicitacoes.datahora_entrega)>=45)
OR (reg_tb_solicitacoes.id_statussolicitacao=8 AND DATEDIFF(CURDATE(), reg_tb_solicitacoes.datahora_cancelamento)>=45)";

$stmArquivos  = $rsConexao->prepare($sqlArquivos);
$stmArquivos  -> execute();

if($stmArquivos->rowCount()>0){
  $diretorioMes = "../docsolicitacoes/";
  $rsArquivos = $stmArquivos->fetchAll(PDO::FETCH_ASSOC);
  foreach($rsArquivos AS $fieldArquivos){
    if($fieldArquivos['pasta_documento']!=""){
      $diretorioMes   = $fieldArquivos['pasta_documento'];
      $nomeArquivo    = $fieldArquivos['nomearquivo_documento'];
      $tokenArquivo   = $fieldArquivos['token_solicitacao'];
      $arquivoExcluir = "$diretorioMes/$tokenArquivo"."_"."$nomeArquivo";
      if(file_exists($arquivoExcluir)){
        unlink($arquivoExcluir);
      }
    }
  }
}

?>